aecat(1)

NAME
aecat - display an aewan document

SYNOPSIS
aecat [-b] [-c] [-{n|N}] [{-p | -l <layer_num>}] [-f <format>] [-o <output_file>] inputfile

DESCRIPTION
This is an utility program that will convert an aewan document to ANSI escape sequences so that it can be rendered on a standard terminal. Alternatively, it can also generate HTML code for displaying the document in a web page. Any particular layer of the document may be converted, or you may request a composite of all layers.

OPTIONS

-f  specifies output format - can "text", "html" or "comment". Default is "text". The "comment" format extracts document metadata.

-c  prepend a 'clear screen' escape sequence (only valid when outputting text).

-o<file>
    writes output to specified file rather than stdout

-b  disables output of color (only characters will be printed).

-l<layer_no>
    specifies which layer of the document is to be used (must be an index, not a layer name). By default, layer 0 will be used.

-L  displays the number of layers in the file.

-p  exports a composite, that is, overlays all visible layers, paying attention to layer transparency, etc. The size of the composite will be the size of the first layer

-n  suppress output of newlines

-h  prints a short help text

AUTHORS
This program is part of the Aewan Ascii Art Editor package. See aewan(1) for author information.

LICENSE
Copyright (c) 2004-2005 Bruno Takahashi C. de Oliveira. All rights reserved. This program is licensed under the GNU General Public License, version 2 or, at your option, any later version. For full license information, please refer to the COPYING file that accompanies the program.

SEE ALSO
aewan(1), aewan(5), aemakeflic(1)